﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace proyectoPI.wsDocumentos {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="wsDocumentos.wsDocumentosSoap")]
    public interface wsDocumentosSoap {
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el mensaje AutenticacionUsuarioRequest tiene encabezados.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/AutenticacionUsuario", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        proyectoPI.wsDocumentos.AutenticacionUsuarioResponse AutenticacionUsuario(proyectoPI.wsDocumentos.AutenticacionUsuarioRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/AutenticacionUsuario", ReplyAction="*")]
        System.Threading.Tasks.Task<proyectoPI.wsDocumentos.AutenticacionUsuarioResponse> AutenticacionUsuarioAsync(proyectoPI.wsDocumentos.AutenticacionUsuarioRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el mensaje InsertarDocumentoRequest tiene encabezados.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/InsertarDocumento", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        proyectoPI.wsDocumentos.InsertarDocumentoResponse InsertarDocumento(proyectoPI.wsDocumentos.InsertarDocumentoRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/InsertarDocumento", ReplyAction="*")]
        System.Threading.Tasks.Task<proyectoPI.wsDocumentos.InsertarDocumentoResponse> InsertarDocumentoAsync(proyectoPI.wsDocumentos.InsertarDocumentoRequest request);
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Security : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string tokenField;
        
        private string autenticationTokenField;
        
        private System.Xml.XmlAttribute[] anyAttrField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string Token {
            get {
                return this.tokenField;
            }
            set {
                this.tokenField = value;
                this.RaisePropertyChanged("Token");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string AutenticationToken {
            get {
                return this.autenticationTokenField;
            }
            set {
                this.autenticationTokenField = value;
                this.RaisePropertyChanged("AutenticationToken");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlAnyAttributeAttribute()]
        public System.Xml.XmlAttribute[] AnyAttr {
            get {
                return this.anyAttrField;
            }
            set {
                this.anyAttrField = value;
                this.RaisePropertyChanged("AnyAttr");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Rol : object, System.ComponentModel.INotifyPropertyChanged {
        
        private int rolIdField;
        
        private string descripcionField;
        
        private User[] userField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public int RolId {
            get {
                return this.rolIdField;
            }
            set {
                this.rolIdField = value;
                this.RaisePropertyChanged("RolId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Descripcion {
            get {
                return this.descripcionField;
            }
            set {
                this.descripcionField = value;
                this.RaisePropertyChanged("Descripcion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=2)]
        public User[] User {
            get {
                return this.userField;
            }
            set {
                this.userField = value;
                this.RaisePropertyChanged("User");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class User : object, System.ComponentModel.INotifyPropertyChanged {
        
        private long userIdField;
        
        private string nombresField;
        
        private string apellidosField;
        
        private string emailField;
        
        private string passwordField;
        
        private System.Nullable<int> rolIdField;
        
        private System.Nullable<int> statusField;
        
        private Comentarios[] comentariosField;
        
        private Rol rolField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public long UserId {
            get {
                return this.userIdField;
            }
            set {
                this.userIdField = value;
                this.RaisePropertyChanged("UserId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Nombres {
            get {
                return this.nombresField;
            }
            set {
                this.nombresField = value;
                this.RaisePropertyChanged("Nombres");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string Apellidos {
            get {
                return this.apellidosField;
            }
            set {
                this.apellidosField = value;
                this.RaisePropertyChanged("Apellidos");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string Email {
            get {
                return this.emailField;
            }
            set {
                this.emailField = value;
                this.RaisePropertyChanged("Email");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string Password {
            get {
                return this.passwordField;
            }
            set {
                this.passwordField = value;
                this.RaisePropertyChanged("Password");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=5)]
        public System.Nullable<int> RolId {
            get {
                return this.rolIdField;
            }
            set {
                this.rolIdField = value;
                this.RaisePropertyChanged("RolId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=6)]
        public System.Nullable<int> Status {
            get {
                return this.statusField;
            }
            set {
                this.statusField = value;
                this.RaisePropertyChanged("Status");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=7)]
        public Comentarios[] Comentarios {
            get {
                return this.comentariosField;
            }
            set {
                this.comentariosField = value;
                this.RaisePropertyChanged("Comentarios");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=8)]
        public Rol Rol {
            get {
                return this.rolField;
            }
            set {
                this.rolField = value;
                this.RaisePropertyChanged("Rol");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Comentarios : object, System.ComponentModel.INotifyPropertyChanged {
        
        private long comentariosIdField;
        
        private string comentarioField;
        
        private System.Nullable<long> clasesIdField;
        
        private System.Nullable<long> userIdField;
        
        private Clases clasesField;
        
        private User userField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public long ComentariosId {
            get {
                return this.comentariosIdField;
            }
            set {
                this.comentariosIdField = value;
                this.RaisePropertyChanged("ComentariosId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Comentario {
            get {
                return this.comentarioField;
            }
            set {
                this.comentarioField = value;
                this.RaisePropertyChanged("Comentario");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=2)]
        public System.Nullable<long> ClasesId {
            get {
                return this.clasesIdField;
            }
            set {
                this.clasesIdField = value;
                this.RaisePropertyChanged("ClasesId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=3)]
        public System.Nullable<long> UserId {
            get {
                return this.userIdField;
            }
            set {
                this.userIdField = value;
                this.RaisePropertyChanged("UserId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public Clases Clases {
            get {
                return this.clasesField;
            }
            set {
                this.clasesField = value;
                this.RaisePropertyChanged("Clases");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=5)]
        public User User {
            get {
                return this.userField;
            }
            set {
                this.userField = value;
                this.RaisePropertyChanged("User");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Clases : object, System.ComponentModel.INotifyPropertyChanged {
        
        private long clasesIdField;
        
        private System.Nullable<long> cursoIdField;
        
        private string linkVideoField;
        
        private string descripcionField;
        
        private string tituloField;
        
        private System.Nullable<int> calificacionField;
        
        private System.Nullable<System.DateTime> fecha_PublicacionField;
        
        private Cursos cursosField;
        
        private Comentarios[] comentariosField;
        
        private Documentos[] documentosField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public long ClasesId {
            get {
                return this.clasesIdField;
            }
            set {
                this.clasesIdField = value;
                this.RaisePropertyChanged("ClasesId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=1)]
        public System.Nullable<long> CursoId {
            get {
                return this.cursoIdField;
            }
            set {
                this.cursoIdField = value;
                this.RaisePropertyChanged("CursoId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string LinkVideo {
            get {
                return this.linkVideoField;
            }
            set {
                this.linkVideoField = value;
                this.RaisePropertyChanged("LinkVideo");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string Descripcion {
            get {
                return this.descripcionField;
            }
            set {
                this.descripcionField = value;
                this.RaisePropertyChanged("Descripcion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string Titulo {
            get {
                return this.tituloField;
            }
            set {
                this.tituloField = value;
                this.RaisePropertyChanged("Titulo");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=5)]
        public System.Nullable<int> Calificacion {
            get {
                return this.calificacionField;
            }
            set {
                this.calificacionField = value;
                this.RaisePropertyChanged("Calificacion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=6)]
        public System.Nullable<System.DateTime> Fecha_Publicacion {
            get {
                return this.fecha_PublicacionField;
            }
            set {
                this.fecha_PublicacionField = value;
                this.RaisePropertyChanged("Fecha_Publicacion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=7)]
        public Cursos Cursos {
            get {
                return this.cursosField;
            }
            set {
                this.cursosField = value;
                this.RaisePropertyChanged("Cursos");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=8)]
        public Comentarios[] Comentarios {
            get {
                return this.comentariosField;
            }
            set {
                this.comentariosField = value;
                this.RaisePropertyChanged("Comentarios");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=9)]
        public Documentos[] Documentos {
            get {
                return this.documentosField;
            }
            set {
                this.documentosField = value;
                this.RaisePropertyChanged("Documentos");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Cursos : object, System.ComponentModel.INotifyPropertyChanged {
        
        private long cursoIdField;
        
        private string tituloField;
        
        private string descripcionField;
        
        private string requisitosField;
        
        private System.Nullable<int> calificacionField;
        
        private System.Nullable<int> statusField;
        
        private System.Nullable<System.DateTime> fecha_PublicacionField;
        
        private System.Nullable<long> userIdField;
        
        private string verificacionModeradorField;
        
        private Clases[] clasesField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public long CursoId {
            get {
                return this.cursoIdField;
            }
            set {
                this.cursoIdField = value;
                this.RaisePropertyChanged("CursoId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Titulo {
            get {
                return this.tituloField;
            }
            set {
                this.tituloField = value;
                this.RaisePropertyChanged("Titulo");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string Descripcion {
            get {
                return this.descripcionField;
            }
            set {
                this.descripcionField = value;
                this.RaisePropertyChanged("Descripcion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string Requisitos {
            get {
                return this.requisitosField;
            }
            set {
                this.requisitosField = value;
                this.RaisePropertyChanged("Requisitos");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=4)]
        public System.Nullable<int> Calificacion {
            get {
                return this.calificacionField;
            }
            set {
                this.calificacionField = value;
                this.RaisePropertyChanged("Calificacion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=5)]
        public System.Nullable<int> Status {
            get {
                return this.statusField;
            }
            set {
                this.statusField = value;
                this.RaisePropertyChanged("Status");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=6)]
        public System.Nullable<System.DateTime> Fecha_Publicacion {
            get {
                return this.fecha_PublicacionField;
            }
            set {
                this.fecha_PublicacionField = value;
                this.RaisePropertyChanged("Fecha_Publicacion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=7)]
        public System.Nullable<long> UserId {
            get {
                return this.userIdField;
            }
            set {
                this.userIdField = value;
                this.RaisePropertyChanged("UserId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=8)]
        public string VerificacionModerador {
            get {
                return this.verificacionModeradorField;
            }
            set {
                this.verificacionModeradorField = value;
                this.RaisePropertyChanged("VerificacionModerador");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=9)]
        public Clases[] Clases {
            get {
                return this.clasesField;
            }
            set {
                this.clasesField = value;
                this.RaisePropertyChanged("Clases");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class Documentos : object, System.ComponentModel.INotifyPropertyChanged {
        
        private long documentosIdField;
        
        private string descripcionField;
        
        private string urlField;
        
        private System.Nullable<long> clasesIdField;
        
        private Clases clasesField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public long DocumentosId {
            get {
                return this.documentosIdField;
            }
            set {
                this.documentosIdField = value;
                this.RaisePropertyChanged("DocumentosId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Descripcion {
            get {
                return this.descripcionField;
            }
            set {
                this.descripcionField = value;
                this.RaisePropertyChanged("Descripcion");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string Url {
            get {
                return this.urlField;
            }
            set {
                this.urlField = value;
                this.RaisePropertyChanged("Url");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=3)]
        public System.Nullable<long> ClasesId {
            get {
                return this.clasesIdField;
            }
            set {
                this.clasesIdField = value;
                this.RaisePropertyChanged("ClasesId");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public Clases Clases {
            get {
                return this.clasesField;
            }
            set {
                this.clasesField = value;
                this.RaisePropertyChanged("Clases");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AutenticacionUsuario", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class AutenticacionUsuarioRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public proyectoPI.wsDocumentos.Security Security;
        
        public AutenticacionUsuarioRequest() {
        }
        
        public AutenticacionUsuarioRequest(proyectoPI.wsDocumentos.Security Security) {
            this.Security = Security;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AutenticacionUsuarioResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class AutenticacionUsuarioResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string AutenticacionUsuarioResult;
        
        public AutenticacionUsuarioResponse() {
        }
        
        public AutenticacionUsuarioResponse(string AutenticacionUsuarioResult) {
            this.AutenticacionUsuarioResult = AutenticacionUsuarioResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="InsertarDocumento", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class InsertarDocumentoRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public proyectoPI.wsDocumentos.Security Security;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public proyectoPI.wsDocumentos.Documentos documentos;
        
        public InsertarDocumentoRequest() {
        }
        
        public InsertarDocumentoRequest(proyectoPI.wsDocumentos.Security Security, proyectoPI.wsDocumentos.Documentos documentos) {
            this.Security = Security;
            this.documentos = documentos;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="InsertarDocumentoResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class InsertarDocumentoResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public proyectoPI.wsDocumentos.Documentos InsertarDocumentoResult;
        
        public InsertarDocumentoResponse() {
        }
        
        public InsertarDocumentoResponse(proyectoPI.wsDocumentos.Documentos InsertarDocumentoResult) {
            this.InsertarDocumentoResult = InsertarDocumentoResult;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface wsDocumentosSoapChannel : proyectoPI.wsDocumentos.wsDocumentosSoap, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class wsDocumentosSoapClient : System.ServiceModel.ClientBase<proyectoPI.wsDocumentos.wsDocumentosSoap>, proyectoPI.wsDocumentos.wsDocumentosSoap {
        
        public wsDocumentosSoapClient() {
        }
        
        public wsDocumentosSoapClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public wsDocumentosSoapClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public wsDocumentosSoapClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public wsDocumentosSoapClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        proyectoPI.wsDocumentos.AutenticacionUsuarioResponse proyectoPI.wsDocumentos.wsDocumentosSoap.AutenticacionUsuario(proyectoPI.wsDocumentos.AutenticacionUsuarioRequest request) {
            return base.Channel.AutenticacionUsuario(request);
        }
        
        public string AutenticacionUsuario(proyectoPI.wsDocumentos.Security Security) {
            proyectoPI.wsDocumentos.AutenticacionUsuarioRequest inValue = new proyectoPI.wsDocumentos.AutenticacionUsuarioRequest();
            inValue.Security = Security;
            proyectoPI.wsDocumentos.AutenticacionUsuarioResponse retVal = ((proyectoPI.wsDocumentos.wsDocumentosSoap)(this)).AutenticacionUsuario(inValue);
            return retVal.AutenticacionUsuarioResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<proyectoPI.wsDocumentos.AutenticacionUsuarioResponse> proyectoPI.wsDocumentos.wsDocumentosSoap.AutenticacionUsuarioAsync(proyectoPI.wsDocumentos.AutenticacionUsuarioRequest request) {
            return base.Channel.AutenticacionUsuarioAsync(request);
        }
        
        public System.Threading.Tasks.Task<proyectoPI.wsDocumentos.AutenticacionUsuarioResponse> AutenticacionUsuarioAsync(proyectoPI.wsDocumentos.Security Security) {
            proyectoPI.wsDocumentos.AutenticacionUsuarioRequest inValue = new proyectoPI.wsDocumentos.AutenticacionUsuarioRequest();
            inValue.Security = Security;
            return ((proyectoPI.wsDocumentos.wsDocumentosSoap)(this)).AutenticacionUsuarioAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        proyectoPI.wsDocumentos.InsertarDocumentoResponse proyectoPI.wsDocumentos.wsDocumentosSoap.InsertarDocumento(proyectoPI.wsDocumentos.InsertarDocumentoRequest request) {
            return base.Channel.InsertarDocumento(request);
        }
        
        public proyectoPI.wsDocumentos.Documentos InsertarDocumento(proyectoPI.wsDocumentos.Security Security, proyectoPI.wsDocumentos.Documentos documentos) {
            proyectoPI.wsDocumentos.InsertarDocumentoRequest inValue = new proyectoPI.wsDocumentos.InsertarDocumentoRequest();
            inValue.Security = Security;
            inValue.documentos = documentos;
            proyectoPI.wsDocumentos.InsertarDocumentoResponse retVal = ((proyectoPI.wsDocumentos.wsDocumentosSoap)(this)).InsertarDocumento(inValue);
            return retVal.InsertarDocumentoResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<proyectoPI.wsDocumentos.InsertarDocumentoResponse> proyectoPI.wsDocumentos.wsDocumentosSoap.InsertarDocumentoAsync(proyectoPI.wsDocumentos.InsertarDocumentoRequest request) {
            return base.Channel.InsertarDocumentoAsync(request);
        }
        
        public System.Threading.Tasks.Task<proyectoPI.wsDocumentos.InsertarDocumentoResponse> InsertarDocumentoAsync(proyectoPI.wsDocumentos.Security Security, proyectoPI.wsDocumentos.Documentos documentos) {
            proyectoPI.wsDocumentos.InsertarDocumentoRequest inValue = new proyectoPI.wsDocumentos.InsertarDocumentoRequest();
            inValue.Security = Security;
            inValue.documentos = documentos;
            return ((proyectoPI.wsDocumentos.wsDocumentosSoap)(this)).InsertarDocumentoAsync(inValue);
        }
    }
}
